/*-----------------------------------------------------------*/
/* test the Filter code */
/*-----------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "Frv.h"
  
int main(int argc, char *argv[])   /*-------------- main ----*/
{FrVect *vect;
 FrvFilter2 *filter;
 FrvFilterB *butHP, *butLP;
 int nData, i;

 nData =2500;
 vect = FrVectNew1D("input",FR_VECT_8R, nData,.01,"","");
 for(i=0; i<nData; i++) 
   {vect->dataD[i] = .1*i;}

 filter = FrvFilter2New(0.,0,1.,0.,.01,1);

 FrvFilter2Proc(filter, vect);

 for(i=0; i<20; i++) 
   {printf(" %2d input=%.3f out=%.3f\n",i, 
                 vect->dataD[i],filter->output->dataD[i]);}

 butHP = FrvFilterButNew(2, 10.,  0., "HP filter");
 butLP = FrvFilterButNew(2,  0., 10., "LP filter");

 FrvFilterButProc(butHP, vect);
 FrVectDump(butHP->output, stdout, 2);

 FrvFilterButProc(butLP, vect);
 FrVectDump(butLP->output, stdout, 2);


  return(0);
}
